
PAMInspection - Bug #1183

ادخال نواقس الرواتب

05/06/2019 01:29 PM - Abdelhalim Abu Qamar

Status: Open Start date: 05/06/2019

Priority: High Due date:  

Assignee: Abdelhalim Abu Qamar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result:  

Severity: Normal Environment: Development

Category: inspection screen Transaction Number:  

Sub-Category:  Username:  

Step_Description:  Browser:  

Pre_Conditions:  URL:  

Expected Result:  Test Case ID:  

Description

dear Ahmed

kindly find attachment photo to update the LOV and show reason name not only code

History

#1 - 05/13/2019 02:58 PM - Ahmad Amer

- Assignee changed from Ahmad Amer to Abdelhalim Abu Qamar

please provide me with the lookup M_ID for the reason.

#2 - 05/19/2019 12:23 PM - Abdelhalim Abu Qamar

u must add new object view with SQL :

SELECT REASON_CODE ,REASON_NAME FROM INS_SALARY_SHORTFALLS WHERE STATUS = 1 ;

#3 - 05/19/2019 12:23 PM - Abdelhalim Abu Qamar

- Assignee changed from Abdelhalim Abu Qamar to Ahmad Amer

- Environment Development added

- Environment deleted (QA)

#4 - 05/19/2019 03:20 PM - Ahmad Amer

- Assignee changed from Ahmad Amer to Abdelhalim Abu Qamar

- % Done changed from 0 to 100

done on test please review the screen

#5 - 05/22/2019 12:57 PM - Abdelhalim Abu Qamar

- Assignee changed from Abdelhalim Abu Qamar to Ahmad Amer

kindly update the LOV to redirect ream from old Database MOSAL_USER

SELECT CWI_NS_REASONS_RECID , REASON_CODE ,REASON_DESC

FROM MOSAL_USER.CWI_NS_REASONS ;
also to show the name and code at the screen

#6 - 05/22/2019 01:30 PM - Ahmad Amer

- Assignee changed from Ahmad Amer to Abdelhalim Abu Qamar

done on test, please review the screen

#7 - 05/22/2019 02:46 PM - Abdelhalim Abu Qamar

- Assignee changed from Abdelhalim Abu Qamar to Ahmad Amer

Aslo to add new validtion on screen :

------------------------------------------

for CWI_NS_REASONS_RECID = 2

used : PRD_PKG.CHECK_LABER_ABSENCES

 1

 يوجد بلاغ تغيب فعال على العامل 

0

لا يمنك اضافة هذا السبب,لا يوجد بلاغ تغيب فعال على العامل

------------------------------------------

for CWI_NS_REASONS_RECID = 7 

used :  FUNCTION CHECK_FOR_ABSENCES

1

 يوجد شكوى على العامل  

0

لا يمنك اضافة هذا السبب,لا يوجد شكوى على العامل

for CWI_NS_REASONS_RECID = 6

used : if b.NATIONALITY = 101 then 

العامل مسجل لدى العمالة الوطنية

else

لا يمنك اضافة هذا السبب,  العامل ليس من العمالة الوطنية

------------------------------------------

#8 - 05/23/2019 12:17 PM - Ahmad Amer

- Assignee changed from Ahmad Amer to Abdelhalim Abu Qamar
done on both prod and test

Files

excp.jpg 112 KB 05/06/2019 Abdelhalim Abu Qamar
